Subject: Re: symlinks don't work on samba mounted dir
From: [email-masked] (Trevor Yann)

7 Apr 1998 13:04:44 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Stuart Adams <[email-masked]>
Cc: [email-masked]

Samba can be made to support the system file attribute by using the "map
system" option in the samba configuration file (smb.conf).

From the man page for smb.conf:

map system (S)

This controls whether DOS style system files should be mapped to the
UNIX group execute bit. 

Note that this requires the 'create mask' to be set such that the group
execute bit is not masked out (ie. it must include 010). See the
parameter "create mask" for
details. 

Default: 

        map system = no

Example: 

        map system = yes

Larry Hall wrote:
> 
> At 09:18 AM 3/24/98 -0500, Stuart Adams wrote:
> >Symlinks don't seem to work on a remote (samba)
> >mounted file system. If I do ln -s a b, then say cat b
> >I get !<symlink>a.
> >
> >I mounted the dir with:
> >  mount -b m:/gnu /gnu
> >
> >-- Stuart
> >
> 
> For performance reasons, cygwin only looks at files with the "system"
> attribute set to determine if the file is a symbolic link or not.  This
> would tend to explain the behavior you see.  I'm not aware of a workaround
> but then again I don't know much about samba:-(
> 
> Larry Hall                              [email-masked]
> RFK Partners, Inc.                      (781) 239-1053
> 8 Grove Street                          (781) 239-1655 - FAX
> Wellesley, MA  02181                    http://www.rfk.com
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".